# debuginfo not supported with Go
%global debug_package %{nil}

%global golang_version 1.8

%global org kiali
%global orgdir src/github.com/%{org}

%global builddir %{orgdir}/%{name}

Name:           kiali
Version:        v0.7.2.redhat4
Release:        1%{?dist}
Summary:        Kiali service mesh observability tool.

License:        Apache-2.0
URL:            https://github.com/kiali/kiali
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-ui-%{version}.tar.gz

BuildArch: x86_64
BuildRequires: golang >= %{golang_version}
BuildRequires: rh-nodejs8
BuildRequires: git

%description
The Kiali microservice mesh observability tool.

%prep
rm -rf %{name}-%{version}
pushd ${PWD}
%setup
%setup -T -D -a 1
popd
rm -rf %{name}-%{version}/%{name}-ui
mv %{name}-%{version}/%{name}-ui-%{version} %{name}-%{version}/%{name}-ui
mkdir -p tmpdir/%{orgdir}
mv %{name}-%{version} tmpdir/%{builddir}
mv tmpdir %{name}-%{version}

%build
export GOPATH=${PWD}:%{gopath}
pushd %{builddir}
export CGO_ENABLED=0
export GOOS=linux
export installsuffix=cgo

go build -o _output/kiali-unstripped -ldflags "-X main.version=%{version}"
strip -o _output/kiali -s _output/kiali-unstripped

pushd kiali-ui
scl enable rh-nodejs8 'KIALI_ENV=production npm run build'
popd
popd

%install
mkdir -p %{buildroot}/opt/kiali
cp %{builddir}/_output/kiali %{buildroot}/opt/kiali
cp -rf %{builddir}/kiali-ui/build %{buildroot}/opt/kiali/console
echo %{version} >> %{buildroot}/opt/kiali/console/version.txt

%clean
rm -rf %{buildroot}

%files
/opt/kiali/kiali
/opt/kiali/console/*
